# 指定基础镜像
FROM openjdk:8

ADD hanghui-outapi-platform.jar /opt/hanghui-outapi-platform.jar
#ADD lib /opt/lib
#ADD resources /opt/resources

# 镜像暴露的端口
EXPOSE 8000

###容器启动命令   $PARAMS可以进行docker run传参
ENTRYPOINT ["sh","-c"," java $PARAMS -Dproject-name=hanghui -jar /opt/hanghui-outapi-platform.jar "]

# 设置时区
# RUN /bin/cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' >/etc/timezone